/*=============================================
EDITAR ROL
=============================================*/
$(document).on("click", ".btnEditarRol", function(){

	var idRol= $(this).attr("idrol");
	
	var datos = new FormData();
	datos.append("idRol", idRol);

	$.ajax({

		url:"ajax/rol.ajax.php",
		method: "POST",
		data: datos,
		cache: false,
		contentType: false,
		processData: false,
		dataType: "json",
		success: function(respuesta){
			
			$("#editarNombre").val(respuesta["nombre"]);
            $("#editarDescripcion").val(respuesta["descripcion"]);
			$("#idRol").val(respuesta["id"]);


		}

	});

})

/*=============================================
ELIMINAR COMPROBANTE
=============================================*/
$(document).on("click", ".btnEliminarRol", function(){

	var idRol = $(this).attr("idrol");

  
	swal({
	  title: '¿Está seguro de borrar el Rol ?',
	  text: "¡Si no lo está puede cancelar la accíón!",
	  type: 'warning',
	  showCancelButton: true,
	  confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		cancelButtonText: 'Cancelar',
		confirmButtonText: 'Si, borrar Rol!'
	}).then(function(result){
  
	  if(result.value){
  
		window.location = "index.php?ruta=rol&idRol="+idRol;
  
	  }
  
	})
  
  })

    /*=============================================
ACTIVAR Rol
=============================================*/
$(document).on("click", ".btnActivar", function(){

	var idRol= $(this).attr("idRol");
	var estadoRol= $(this).attr("estadoRol");

	var datos = new FormData();
 	datos.append("activarId", idRol);
  	datos.append("activarRol", estadoRol);

  	$.ajax({

	  url:"ajax/rol.ajax.php",
	  method: "POST",
	  data: datos,
	  cache: false,
      contentType: false,
      processData: false,
      success: function(respuesta){

      	if(window.matchMedia("(max-width:767px)").matches){
		
      		 swal({
		      	title: "La Rol ha sido actualizado",
		      	type: "success",
		      	confirmButtonText: "¡Cerrar!"
		    	}).then(function(result) {
		        
		        	if (result.value) {

		        	window.location = "rol";

		        }

		      });


		}
      }

  	})

  	if(estadoRol == 0){

  		$(this).removeClass('btn-success');
  		$(this).addClass('btn-danger');
  		$(this).html('Desactivado');
  		$(this).attr('estadoRol',1);

  	}else{

  		$(this).addClass('btn-success');
  		$(this).removeClass('btn-danger');
  		$(this).html('Activado');
  		$(this).attr('estadoRol',0);

  	}

})

 
